Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 230488 - pm-utils: /etc/pm/functions breaks if a global config variable contains more than one element
Summary: pm-utils: /etc/pm/functions breaks if a global config variable contains more ...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: pm-utils
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Phil Knirsch
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-28 23:17 UTC by Michel Alexandre Salim
Modified: 2015-03-05 01:18 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-09-19 22:07:16 UTC


Attachments (Terms of Use)

Description Michel Alexandre Salim 2007-02-28 23:17:45 UTC
Description of problem:
I have an Atheros-based network card that needs to be unloaded before
suspending, and created a /etc/pm/config.d/wlan containing:

SUSPEND_MODULES+=" ath_pci"

This, however, breaks /etc/pm/functions at line 29, and the module does not get
unloaded/reloaded on suspend.

Version-Release number of selected component (if applicable):
0.19.1-6.fc7

How reproducible:
Always

Steps to Reproduce:
1. Create a file in /etc/pm/config.d that adds something to, e.g., SUSPEND_MODULES
2. . /etc/pm/functions
  
Actual results:
/etc/pm/functions: line 29: ath_pci: command not found


Expected results:
It should just work


Additional info:

Comment 1 Michel Alexandre Salim 2007-03-01 19:16:55 UTC
Note: it's not the content of SUSPEND_MODULES that's causing the problem, it's
the parsing of files in /etc/pm/config.d -- after commenting out the line in
/etc/pm/config.d/wlan I get other errors, but if I modify /etc/pm/config so the
SUSPEND_MODULES line is

SUSPEND_MODULES="button ath_pci"

everything works.

Comment 2 Till Maas 2007-09-19 22:07:16 UTC
This is fixed in pm-utils 0.99.4-2.fc8


Note You need to log in before you can comment on or make changes to this bug.